body {
	margin: 0; 
}

html {
	scroll-behavior: smooth;
	cursor: crosshair;
}

* {
	font-family: openSans;
}

section {
	background-color: #fff;
}

a {
	text-decoration: none;
	color: white;
}



/* MENU NAV BAR */
.menu {
	position: fixed;
	display: flex;
	top: 0;
	right: 0;
	z-index: 10;
	width: 40vw;
	height: 100vh;
	background-color: #fff;
	border-left: 1px solid black;
	transition: right .6s;
}

.nav-bar {
	right: 0;
	position: absolute;
	padding-top: 60px;
	width: 100%;
}

.nav-bar .divLinks {
	display: flex;
	flex-direction: column;
	text-align: center;
	border-top: 1px solid black;
	border-bottom: 1px solid black;
}

.divLinks p {
	margin: 0;
	padding: 0;
}

.nav-bar .divLinks a {
    width: 100%;
    padding: 22px 0 18px 0;
    color: black;
    cursor: pointer;
    border-bottom: 1px solid rgba(200,200,200,0.15);
    border-left: 3px solid #fff;
}

.divLinks div {
	margin: auto;
	margin-top: 2px;
	width: 0;
	height: 3px;
	background-color: black;
}

.divLinks a:hover {
	background-color: rgba(220,220,220,.1);
}

.divLinks a:hover div {
	width: 100px;
	transition: width .4s;
}

#active {
	width: 100px;
}


.btnBurger {
	position: absolute;
	margin: 20px 20px 0 0;
	cursor: pointer;
	color: black;
	font-size: 30px;
	right: 41vw;
	transition: transform .3s;
}

.btnBurger:hover {
	transform: scale(1.15);
}

.bar1, .bar2, .bar3 {
	width: 35px;
	height: 5px;
	background-color: #333;
	margin: 6px 0;
	transition: 0.4s;
}

.change .bar1 {
	transform: rotate(-45deg) translate(-7px, 6px);
}
.change .bar2 {
	opacity: 0;
}
.change .bar3 {
	transform: rotate(45deg) translate(-9px, -8px);
}

.d {
	right: 0;
	box-shadow: -9px 5px 6px rgba(0,0,0,.5);
}

.h {
	
	right: -41vw;	
}

.nav-bar .divCVs {
	display: flex;
	flex-direction: column;
	justify-content: center;
	margin-top: 20px;
	text-align: center;
}

.nav-bar .divCVs a {
	position: relative;
	color: black;
	border: 1px solid;
	padding: 10px;
	border-radius: .5em;
	width: 150px;
	margin-top: 15px;
	text-align: center;
    display: block;
    margin-left: auto;
    margin-right: auto;
	transition: transform .3s;
}

.nav-bar .divCVs a:hover {
	transform: scale(1.05); 
}

.nav-bar .divCVs h3 {
	margin-bottom: 0;
}

/* SVG */

.svgIcon {
	position: fixed;
	left: 20px;
	top: 15px;
	height: 40px;
	width: 30px;
	cursor: none;
	z-index: 10;
}

.path {
	stroke-dasharray: 1000;
	stroke-dashoffset: 1000;
	animation: dash 10s linear forwards;
}

.pathHead {
	stroke-dasharray: 2000;
	stroke-dashoffset: 2000;
	animation: dash 2s linear forwards;
	animation-delay: .3s;
}

@keyframes dash {
	to {
		stroke-dashoffset: 0;
	}
}


/* PROGRESS BAR */

.divPB {
	margin: 10px 10px 10px 0;
	padding: 20px;
	display: flex;
	transition: transform .3s;
	width: min-content;
	margin-left: 0;
	opacity: 0;
	position: relative;
}

.divPB:hover {
	transform: scale(1.1); 
}

.divPB label {
	padding-right: 20px;
	width: 130px;
	font-size: 20px;
	font-weight: bold;
}

.divPB .plus {
	height: 13px;
	width: 13px;
	border: 2px solid black;
	margin-left: 15px;
	margin-top: 1px;
	display: flex;
}

.divPB .plus i {
	font-size: 10px;
	margin: auto;
	margin-top: 2.5px;
}

.divPB .frameworks {
	opacity: 0;
	z-index: -1;
	left: 100%;
	top: 0;
	position: absolute;
	padding: 17px 10px 15px 0;	
	border: 1px solid black;
}

.divPB .framework {
	display: flex;
	padding: 5px 0 5px 0;
}

.progress-bar {
	height: 20px;
	border-radius: 20px;
}

.contener {
	width: 20vw;
	min-width: 100px;
	background-color: white;
}

.bar {
	background-color: rgb(24, 84, 107);
	text-align: center;
	transition: width .4s;
	width: 35px;
	color: white;
	padding-right: 5px; /* why tf it don't seem to be the right size, cf 50% */
}


/* SCROLLBAR */

::-webkit-scrollbar {
	width: 10px;
}

::-webkit-scrollbar-track {
	background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
	background: #888;
}

::-webkit-scrollbar-thumb:hover {
	background: #555;
}


/* btn scroll up */
.btnScrollTop {
	position: fixed;
	height: 30px;
	width: 30px;
	border: 2px solid black;
	border-radius: 50%;
	right: 20px;
	bottom: 20px;
	text-align: center;
	cursor: pointer;
	box-shadow: 2px 2px 4px black;
	transition: border-radius 0.2s linear;
}

.btnScrollTop:hover {
	border-radius: 32%;
}

.btnScrollTop i {
	margin-top: 6px;
	transform-origin: 50% 50%;
}


/* btn translation */
.divTranslation {
	position: fixed;
	background-color: white;
	height: min-content;
	width: min-content;
	left: 20px;
	bottom: 0;
	display: flex;
	z-index: 9999;
}

.divTranslation div {
	padding: 6px 5px 0 6px;
	cursor: pointer;
}

.divTranslation img {
	width: 20px;
}

.divTranslation .active {
	background-color: grey;
}

.divTranslation .active img {
	width: 30px;
}


/* DIV BACKGROUND PARALAX */
section {
	height: auto;
	border-bottom: 30px solid #fff;

	display: flex;
	justify-content: center;
	text-align: center;

	background-attachment: fixed;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

#Home  {
	background-image: url("img/1.jpg");
}
#Skills  {
	background-image: url("img/2.jpg");
}
#Experiences  {
	background-image: url("img/3.jpg");
}
#Education  {
	background-image: url("img/iut.jpg");
}

#Education {
	border-bottom: none;
	height: 100vh;
}


/* Home */
#Home {
	height: 100vh;
}

#Home .head {
	background-color: rgb(107, 23, 37,.85);
	height: 400px;
	width: 400px;
	border-radius: 50%;
	display: flex;
	flex-direction: column;
	margin: 50px auto 0 auto;
	z-index: 5;
	transition: opacity 2s;
}

.hTitre {
	display: grid;
    justify-content: center;
}

.hTitre:nth-child(1) {
	margin-top: 80px;
}

.head h1 {
	margin: 0;
	color: white;
	font-weight: normal;
	font-size: 70px;
}

.head p {
	color: white;
	font-size: 20px;
	margin-top: 0;
	top: 0;
}

.head h1, .head p {
	margin-top: 10px;
	height: min-content;
	position: relative;
	display: inline-block;
	transform-origin: left;
	transform: scaleX(0);
	animation: animate-1 1s ease forwards;
}

.head h1 {
	animation-delay: 2.5s; /*2*/
}

.head p {
	animation-delay: 4s; /*3*/
}

.head h1:before, .head p:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	background: #fff;
	width: 100%;
	height: 100%;
	transform-origin: right;
	animation: animate-2 1s ease forwards;
	animation-delay: 3.5s; /*3*/
}

.head p:before {
	animation-delay: 5s; /*4*/
}

@keyframes animate-2 {
	0% {
		transform: scaleX(1);
	}
	100% {
		transform: scaleX(0);
	}
}

@keyframes animate-1 {
	0% {
		transform: scaleX(0);
	}
	100% {
		transform: scaleX(1);
	}
}

.svgHead {
	position: absolute;
	height: 420px;
	width: 420px;
	margin: 42px auto 0 auto;
	margin-left: 50%;
	transform: translateX(-50%);
	transition: opacity 2s;
}

#Home .divPI {
	background-color: rgba(100,100,150,.85);
	height: 100px;
	width: 100px;
	border-radius: 50%;
}

#Home .arrow-down {
	position: absolute;
	bottom: 20px;
	font-size: 50px;
	transition: transform .3s;
	cursor: pointer;
	animation: test ease 1.5s infinite;
}

@keyframes test {
	0%{
		padding-bottom: 10px;
	}
	50%{
		padding-bottom: 0px
	}
	100%{
		padding-bottom: 10px
	}
}

#Home .arrow-down:hover {
	transform: scale(1.3); 
}


/* Skills */
#Skills {
	height: auto;
	flex-direction: column;
}

#Skills content {
	display: flex;
	flex-direction: column;
	padding: 30px 0 100px 0;
	margin: auto;
}


/* Experiences*/
#Experiences article {
	margin-top: 70px;
	margin-bottom: 70px;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
}

#Experiences a {
	font-weight: bold;
	color: black;
	text-decoration: underline;
	font-size: 14px;
}

#Experiences a:hover {
	color: grey;
}

#Experiences .title {
	margin-bottom: 12px;
	padding-bottom: 3px;
	min-width: 100px;
	border-bottom: 1px solid black;
}


.scene {
	width: 250px; /*200px;*/
	height: 250px; /*260px;*/
	perspective: 600px;
	position: relative;
	padding: 40px;
	opacity: 0;
	transition: transform 1s;
}

.scene:hover {
	transform: scale(1.1);
}

.card {
	width: 100%;
	height: 100%;
	position: relative;
	transition: transform 1s;
	transform-style: preserve-3d;
}

.card__face {
	position: absolute;
	height: 100%;
	width: 100%;
	backface-visibility: hidden;

	cursor: pointer;
	background-color: #fff;
	border: 1px solid black;
	border-radius: 10px;
	box-shadow: -10px 5px 5px rgba(0,0,0,.5);
	transition: border-radius .3s
}

.card__face--front p {
	margin-top: 30%;
	font-size: 25px;
}

.card__face--back p {
	margin: 25px;
	font-size: 18px;
}

.card__face--back {
	transform: rotateY( 180deg );
}

.card.is-flipped {
  transform: rotateY(180deg);
}

.card { 
	transform-origin: center right; 
}

.card.is-flipped {
	transform: translateX(-100%) rotateY(-180deg);
}



/* Education */
#Education content {
	display: flex;
	flex-direction: row;
	margin-bottom: 200px;
}

#Education .timeline {
	margin-top: 10%;
	margin-left: 10%;
	width: 30%;
	height: 7px;
	background-color: black;
	transition: width 1s;
}


#Education .timeline div {
	display: flex;
	justify-content: space-around;
}

#Education .timeline p {
	display: flex;
	flex-direction: column;
	text-align: center;
	margin: 20px;
	margin-top: 40px;
	width: 200px;
}

#Education .timeline p::before {
	content: "";
	display : inline-block;
	height : 0;
	width : 0;
	border-right : 10px solid transparent;
	border-bottom : 17px solid black;
	border-left : 10px solid transparent;
	margin-left: 50%;
	margin-bottom: 10px;
}


/* section's shared css */

section p {
	font-size: 20px;
	font-weight: bold;
}

.fond {
	background-color: rgba(255,255,255,.7); 
	width: 100%;
}

.divTitle {
	background-color: rgb(24, 84, 107);
	opacity: 0.8;
	height: 7vw;
	width: 15vw;
	min-height: 80px;
	min-width: 80px;
	max-height: 270px;
	max-width: 270px;
	border-radius: 10px;
	margin: 50px 0 0 100px;
	color: #fff;
	display: flex;
	justify-content: center;
}

.divTitle h1 {
	font-size: 2.5vw;
	margin: auto;
}

@media screen and (min-width: 2000px) {
	.divTitle h1 {
		font-size: 50px;
	}
}





